# NotSpec

open class NotSpec<T> : Spec<T>

A org.gradle.api.specs.Spec implementation which negates another `Spec`.

#### Parameters

<T>

The target type for this Spec

## Constructors

NotSpec
Link copied to clipboard
constructor(sourceSpec: Spec<in T>)

## Functions

invoke
Link copied to clipboard
operator fun <T> Spec<T>.invoke(arg: T): Boolean

Enables function invocation syntax on Spec instances.

isSatisfiedBy
Link copied to clipboard
open fun isSatisfiedBy(element: T): Boolean